# 작업 관리

데이터셋을 만들고 파일을 업로드한 뒤에는, 주석 작업을 시작할 태스크를 만들 수 있습니다.

태스크를 만드는 방법은 다음과 같습니다.

```py
from mindkosh import Client, Label

labelsObjects = [
    mindkosh.Label(
        name="Pedestrian",
        color=hex_codes[0],
        sequence=1,
        attributes=[
            {
                'name': 'Age-group',
                'input_type': 'radio',
                'default_value': 'Adult',
                'mutable': False,
                'values': ['Adult', 'Child']
            }
        ]
    ),
    mindkosh.Label(name="Truck", color=hex_codes[1], sequence=2),
]

newTask = client.task.create(
    name="sample-task",
    labels=labelsObjects,
    dataset_id=datasetId,
    project_id=213,
    job_modes=['validation','qc'],
    batches=3,
    tags=['tag1'],
)
```

### 라벨 속성

<table><thead><tr><th width="183">속성</th><th width="188">유형</th><th width="110">필수</th><th>설명</th></tr></thead><tbody><tr><td><code>name</code></td><td>string</td><td>예</td><td>태스크 이름입니다.</td></tr><tr><td><code>color</code></td><td>string</td><td>예</td><td>라벨의 색상을 16진수 문자열로 표시합니다.</td></tr><tr><td><code>sequence</code></td><td>integer</td><td>예</td><td>라벨이 표시될 순서입니다.</td></tr><tr><td><code>track</code></td><td>boolean</td><td>아니요</td><td>이 라벨을 프레임 간에 추적할지 여부입니다.</td></tr><tr><td><code>lock_dimenions</code></td><td>boolean</td><td>아니요</td><td>포인트 클라우드 태스크의 추적 라벨에만 적용됩니다. true로 설정하면 객체의 크기가 모든 프레임에서 동일하게 유지됩니다. </td></tr><tr><td><code>type</code></td><td><code>non_mask</code> (기본값), <code>semantic_mask</code> 또는 <code>instance_mask</code></td><td>아니요</td><td>해당 라벨이 세그멘테이션 라벨인지 여부입니다.</td></tr><tr><td><code>attributes</code></td><td>사전 배열</td><td>아니요</td><td>아래의 속성 섹션을 참조하세요.</td></tr></tbody></table>

#### 라벨 속성(프로퍼티)

Mindkosh는 다음 유형의 속성을 지원합니다:

**라디오 버튼**\
라벨링 담당자가 1개만 선택할 수 있는 선택 범위를 지정합니다.

```py
{
    'name': 'Occlusion',
    'input_type': 'radio',
    'default_value': '0',
    'sequence': 1 ### 라벨 순서와 유사하게, 이 속성이 표시될 순서를 지정합니다.
    'mutable': True, ### 추적 라벨에만 적용됩니다. 이 속성이 프레임마다 변경될 수 있나요?
    'values': ['0', '1', '2']
}
```

**체크박스**\
2개의 값을 가질 수 있는 속성을 지정합니다 - `참` 또는 `거짓`&#x20;

```py
{
    'name': 'Standing',
    'input_type': 'checkbox',
    'default_value': True,
    'sequence': 1 ### 라벨 순서와 유사하게, 이 속성이 표시될 순서를 지정합니다.
    'mutable': True, ### 추적 라벨에만 적용됩니다. 이 속성이 프레임마다 변경될 수 있나요?
    'values' : ['true']
}
```

**텍스트**\
자유 형식 텍스트를 입력합니다. OCR에도 사용할 수 있습니다.

**숫자**

### 태스크 매개변수

<table><thead><tr><th width="183">속성</th><th width="188">유형</th><th width="110">필수</th><th>설명</th></tr></thead><tbody><tr><td><code>name</code></td><td>string</td><td>예</td><td>태스크 이름</td></tr><tr><td><code>labels</code></td><td>배열의 <code>Label</code> 객체</td><td>예</td><td>라벨 </td></tr><tr><td><code>dataset_id</code></td><td>integer</td><td>예</td><td>태스크를 생성할 데이터셋의 데이터셋 ID입니다.</td></tr><tr><td><code>tags</code></td><td>문자열 배열</td><td>아니요</td><td>지정된 태그가 있는 데이터셋 파일로부터 태스크를 생성합니다.</td></tr><tr><td><code>project_id</code></td><td>integer</td><td>아니요</td><td>이 태스크가 배치될 기존 프로젝트의 프로젝트 ID입니다.</td></tr><tr><td><code>job_mode</code></td><td><code>['validation']</code> 또는<br><code>['validation', 'qc']</code></td><td>아니요</td><td>태스크에 어떤 주석 모드가 포함될지 나타냅니다. 기본적으로는 주석만 포함됩니다.</td></tr><tr><td><code>batches</code></td><td>integer</td><td>아니요</td><td>태스크 데이터를 몇 개의 배치로 나눌지</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindkosh.com/ko/python-sdk/managing-tasks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
